{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Filter - Laporan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    
     <div class="row">
        <div class="col-lg-9">
            <div class="card shadow mb-4">
                <div class="card-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:laporan_umkm_filter' %}">
                        {% csrf_token %}
                        <div class="row no-gutters align-items-center">
                            <div class="col-md-6">  
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                       Wilayah
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                        <option value="">Kampung/Distrik</option>
                                        {% for data_kampung in  datakampung_list %}
                                            <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                        {% endfor %}    
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                        Tahun
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <select name="tahun"  class="form-control" required>
                                        <option value="">Pilih Tahun</option>
                                        <option value="2020">2020</option>    
                                        <option value="2021">2021</option>    
                                        <option value="2022">2022</option>    
                                        <option value="2023">2023</option>    
                                        <option value="2024">2024</option>    
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <br>
                                <button class="btn btn-success" type="submit"><i class="fa fa-save"></i> Cetak Laporan</button>
                            </div>
                        </div>
                     </form>
                </div>
            </div>

        </div>
        <div class="col-lg-3">

            <div class="card shadow mb-4">
                <div class="card-body">
                    <img src="{% static 'admin/images/home/1.png' %}" alt=""> 
                    <p>
                        Silahkan klik tombol cetak laporan data sesuai dengan kebutuhan anda, jangan lupa untuk menyesuaikan kertas yang digunakan ya!.
                    </p>
                </div>
            </div>

        </div>
     </div>
    
  
 
 
 
 
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    
    <script>
         $('#cetak_pemerintah').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
        });
    </script>
{% endblock scripts_bawah %}